Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003574TestLinkTest Executepublic2010-07-06 10:012010-07-09 09:44
Reporterdifool 
Assigned Toasimon 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS VersionXP sp3
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003574: Crash when clicking on top level node on execution tree.
DescriptionWhen clicking on top level node on execution tree a crash occurs.
Steps To ReproduceClick on top level node on execution tree.
Additional InformationTo correct it, must modify the function build_lgr.get_by_id() in \lib\functions\testplan.class.php

When calling from top level node, $id is null.


    function get_by_id($id)
    {
        $sql = "SELECT * FROM {$this->tables['builds']} WHERE id = {$id}";
        $result = $this->db->exec_query($sql);
        $myrow = $this->db->fetch_array($result);
        return $myrow;
    }


Using a control fix the problem. Notice that using a default value in var paramter doesn't work (function get_by_id($id=0) doesn't work).


    function get_by_id($id)
    {
        if ($id===NULL)
        {
          $id = 0;
            };
        $sql = "SELECT * FROM {$this->tables['builds']} WHERE id = {$id}";
        $result = $this->db->exec_query($sql);
        $myrow = $this->db->fetch_array($result);
        return $myrow;
    }
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.6.6 and IE 7.0.5730
PHP VersionPHP Version PHP Version PHP 5.2.8 + Apache 2.2.11 + Mysql 5.1.3 and PHP 5.2.11 + Apache 2.0 + MySql 5.1.39
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon execute_crash.jpg [^] (204,976 bytes) 2010-07-06 10:01


zip file icon fix-3574.zip [^] (14,025 bytes) 2010-07-09 09:18

- Relationships
has duplicate 0003626closedasimon Testlink Execution . Suite click reports DB Error 
has duplicate 0003692closedasimon DB error when selecting a folder under menu "execute" 
related to 0003608closedasimon Error in test execution 
child of 0003570closedfman Availables Fixes for 1.9 Beta 5 

-  Notes
(0010589)
terryzuo (reporter)
2010-07-09 08:22

3590 is the same issue: http://mantis.testlink.org/view.php?id=3590 [^]
(0010590)
terryzuo (reporter)
2010-07-09 08:38

Hi Difool,
Could you please share us how to fix this problem?
(0010591)
difool (reporter)
2010-07-09 08:50

The fix is certainly the same as the one in this issue, Additional Information box.
Find the testcase_mgr class definition, find if there is a get_by_id function, add a control on $id:
      if ($id===NULL)
      {
        $id = 0;
      };
(0010592)
asimon (developer)
2010-07-09 09:07

Above "fix" solves only the symptom (error message), but not the problem which is causing the error.

The real error here was in execSetResults.php.
It was solved in CVS, will attach a fix soon.

Beware: although 3590 seems to be very similar, the problem causing the error there is completely different.
(0010594)
asimon (developer)
2010-07-09 09:19

Fix attached, please retest.
(0010597)
Falcon1 (reporter)
2010-07-09 09:41

I had the same problem, and with this patch is ok for me.
(0010599)
asimon (developer)
2010-07-09 09:44

OK, thanks for quick retesting :)

- Issue History
Date Modified Username Field Change
2010-07-06 10:01 difool New Issue
2010-07-06 10:01 difool File Added: execute_crash.jpg
2010-07-06 16:16 fman Assigned To => asimon
2010-07-06 16:16 fman Status new => assigned
2010-07-09 08:22 terryzuo Note Added: 0010589
2010-07-09 08:26 Julian Relationship added has duplicate 0003590
2010-07-09 08:38 terryzuo Note Added: 0010590
2010-07-09 08:50 difool Note Added: 0010591
2010-07-09 09:07 asimon Note Added: 0010592
2010-07-09 09:18 asimon Relationship deleted has duplicate 0003590
2010-07-09 09:18 asimon File Added: fix-3574.zip
2010-07-09 09:19 asimon Note Added: 0010594
2010-07-09 09:19 asimon Status assigned => feedback
2010-07-09 09:19 asimon Resolution open => fixed
2010-07-09 09:19 asimon Fixed in Version => 1.9 Beta 6
2010-07-09 09:22 asimon Relationship added child of 0003570
2010-07-09 09:41 Falcon1 Note Added: 0010597
2010-07-09 09:44 asimon Note Added: 0010599
2010-07-09 09:44 asimon Status feedback => closed
2010-07-17 14:51 fman Relationship added related to 0003608
2010-07-26 17:34 asimon Relationship added has duplicate 0003626
2010-08-19 16:28 asimon Relationship added has duplicate 0003692



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker